Collection Account Transfer
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/transfer/collection/initiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"nameEnquirySessionId": "<string>",
"sourceAccountNumber": "<string>",
"beneficiaryAccountName": "<string>",
"beneficiaryAccountNumber": "<string>",
"beneficiaryBankCode": "<string>",
"amount": 123,
"narration": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/transfer/collection/initiate"
payload = {
"nameEnquirySessionId": "<string>",
"sourceAccountNumber": "<string>",
"beneficiaryAccountName": "<string>",
"beneficiaryAccountNumber": "<string>",
"beneficiaryBankCode": "<string>",
"amount": 123,
"narration": "<string>"
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
nameEnquirySessionId: '<string>',
sourceAccountNumber: '<string>',
beneficiaryAccountName: '<string>',
beneficiaryAccountNumber: '<string>',
beneficiaryBankCode: '<string>',
amount: 123,
narration: '<string>'
})
};
fetch('https://devapi.withedge.co/gateway/api/v1/transfer/collection/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "Transfer initiated successfully."
"data": {
"amount": 1213211231,
"beneficiaryAccountName": "Peter Parker",
"beneficiaryAccountNumber": "1234567890",
"beneficiaryBankCode": "001001",
"narration": "Transfer to John Doe",
"transactionId": "txn_0011223344",
"otpReferneceId": "654578797858"
},
"errors": []
}
Transfers
Collection Account Transfer
This endpoint allows you to initiate a transfer request directly from one of your Edge collection accounts.
POST
/
transfer
/
collection
/
initiate
Collection Account Transfer
Collection Account Transfer
Use this endpoint to initiate a transfer request from one of your Edge collection accounts to a beneficiary account.Request Parameters
string
required
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9string
required
The session ID from a name enquiry request, required to confirm the beneficiary’s details.
Example:
Example:
session_0011223344string
required
The Edge collection account number from which the transfer will be made.
Example:
Example:
1234567890string
required
The name of the beneficiary receiving the transfer.
Example:
Example:
Peter Parkerstring
required
The account number of the beneficiary.
Example:
Example:
0987654321string
required
The bank code of the beneficiary’s bank.
Example:
Example:
001001double
required
The amount to be transferred.
Example:
Example:
1000.50string
A brief description of the transaction.
Example:
Example:
Transfer to Peter Parker{
"statusCode": 00,
"message": "Transfer initiated successfully."
"data": {
"amount": 1213211231,
"beneficiaryAccountName": "Peter Parker",
"beneficiaryAccountNumber": "1234567890",
"beneficiaryBankCode": "001001",
"narration": "Transfer to John Doe",
"transactionId": "txn_0011223344",
"otpReferneceId": "654578797858"
},
"errors": []
}
Was this page helpful?
⌘I